Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui.conversion
Class PortalObjectIdConverter

    java.lang.Object
      org.jboss.portal.core.admin.ui.conversion.PortalObjectIdConverter

All Implemented Interfaces:
  javax.faces.convert.Converter

    public class PortalObjectIdConverter

extends java.lang.Object
implements javax.faces.convert.Converter

Version:
  $Revision: 8785 $
Author:
  Julien Viet

Constructor Summary
`PortalObjectIdConverter()`

Method Summary
`java.lang.Object` | `getAsObject(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.String string)`
`java.lang.String` | `getAsString(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalObjectIdConverter

    public PortalObjectIdConverter()

Method Detail

### getAsObject

    public java.lang.Object getAsObject(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent uiComponent,
                                        java.lang.String string)
                                 throws javax.faces.convert.ConverterException

  Specified by:
    `getAsObject` in interface `javax.faces.convert.Converter`
  Throws:
    `javax.faces.convert.ConverterException`

### getAsString

    public java.lang.String getAsString(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent uiComponent,
                                        java.lang.Object object)
                                 throws javax.faces.convert.ConverterException

  Specified by:
    `getAsString` in interface `javax.faces.convert.Converter`
  Throws:
    `javax.faces.convert.ConverterException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD